Subject: bug#70807: Resetting *-local variables before parsing

From: Arash Esbati <[email-masked]>
Date: Fri, 28 Feb 2025 11:33:51 +0100

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> OK, I see. This feature was introduced by this commit:
> ,----
> | d3d05d462afbe69687277f7fc0dd09e6ef2ff113
> | Author:     Tassilo Horn <[email-masked]>
> | AuthorDate: Sat Dec 20 09:10:47 2014 +0100
> | Commit:     Tassilo Horn <[email-masked]>
> | CommitDate: Sat Dec 20 09:10:47 2014 +0100
> | 
> | Make some buffer-local vars document-local.
> | 
> | * tex.el (TeX-auto-store): Write LaTeX-verbatim-*-local variables
> | to auto file to make them document-local.
> `----

Thanks for digging into this, I see now.

> minted.el adds new elements to LaTeX-verbatim-*-local variables
> dynamically based on parsing, in `LaTeX-minted-auto-cleanup' added in
> `TeX-auto-cleanup-hook'. Hence, without the entries for
> LaTeX-verbatim-*-local variables in the parsed-file.el, the main file
> wouldn't know the new verbatim constructs, because in the main.tex
> buffer, AUCTeX parses only main.tex, not the child preamble.tex. :-(
>
> I'll ponder to seek some good idea, but probably I'll fail...

I'm looking forward to that.  I think my current (final) idea is to add
those variables to `TeX-normal-mode-reset-list', so they can be reset
with 'C-u C-c C-n'.  It seems better that what we have right now which
is deleting the auto-generated .el file and/or even restarting Emacs.

Best, Arash